## kconfigwidgets 5.104.0

=== debian/changelog ===
kconfigwidgets (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:15:08 +0000

kconfigwidgets (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:42:02 +0000

kconfigwidgets (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:55:51 +0000

kconfigwidgets (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:19:10 +0000

kconfigwidgets (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)
  * Drop included patch.

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:13:43 +0000

kconfigwidgets (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:57:56 +0000
