=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.104.0~),
+               extra-cmake-modules (>= 5.109.0~),
                gettext,
-               libkf5auth-dev (>= 5.104.0~),
-               libkf5codecs-dev (>= 5.104.0~),
-               libkf5config-dev (>= 5.104.0~),
-               libkf5coreaddons-dev (>= 5.104.0~),
-               libkf5doctools-dev (>= 5.104.0~),
-               libkf5guiaddons-dev (>= 5.104.0~),
-               libkf5i18n-dev (>= 5.104.0~),
-               libkf5widgetsaddons-dev (>= 5.104.0~),
+               libkf5auth-dev (>= 5.109.0~),
+               libkf5codecs-dev (>= 5.109.0~),
+               libkf5config-dev (>= 5.109.0~),
+               libkf5coreaddons-dev (>= 5.109.0~),
+               libkf5doctools-dev (>= 5.109.0~),
+               libkf5guiaddons-dev (>= 5.109.0~),
+               libkf5i18n-dev (>= 5.109.0~),
+               libkf5widgetsaddons-dev (>= 5.109.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -44,13 +44,13 @@
 Package: libkf5configwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5auth-dev (>= 5.104.0~),
-         libkf5codecs-dev (>= 5.104.0~),
-         libkf5config-dev (>= 5.104.0~),
+Depends: libkf5auth-dev (>= 5.109.0~),
+         libkf5codecs-dev (>= 5.109.0~),
+         libkf5config-dev (>= 5.109.0~),
          libkf5configwidgets5 (= ${binary:Version}),
-         libkf5guiaddons-dev (>= 5.104.0~),
-         libkf5i18n-dev (>= 5.104.0~),
-         libkf5widgetsaddons-dev (>= 5.104.0~),
+         libkf5guiaddons-dev (>= 5.109.0~),
+         libkf5i18n-dev (>= 5.109.0~),
+         libkf5widgetsaddons-dev (>= 5.109.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf5configwidgets-doc (= ${source:Version})
